# leave

Deze repo is gericht op het bieden van scripts voor het verwerken van
[opzeggers](https://code.bij1.org/bij1/wiki/wiki/opzeggingen)
door deze uit verschillende systemen te verwijderen, binnen de perken
van de [bewaarplicht](https://wetten.overheid.nl/jci1.3:c:BWBR0033004&paragraaf=3&artikel=20&z=2023-01-01&g=2023-01-01)
(wet financiering politieke partijen artikel 20 lid 2).

## requirements

- [Python](https://python.org/)
- [Poetry](https://python-poetry.org/)
- [jq](https://jqlang.github.io/jq/)

## preparation

- run:
  - `poetry install`
  - `cp credentials.sample.sh credentials.sh`
- enter in `credentials.sh`:
  - [`MAILCHIMP_API_KEY`](https://mailchimp.com/help/about-api-keys/)
  - [`TRELLO_API_KEY`](https://trello.com/app-key)
  - [`TRELLO_TOKEN`](https://developer.atlassian.com/cloud/trello/guides/rest-api/authorization/#authorizing-a-client)

## usage

```sh
# for multiple emails
bash leave.sh leaver@example.org second@leaver.org
# or by name
bash leave.sh 'Voornaam Achternaam'
```

### mailchimp only

```sh
# for multiple emails
bash mailchimp.sh leaver@example.org second@leaver.org
# or by name
bash mailchimp.sh 'Voornaam Achternaam'
```

### resubscribe
```sh
bash resubscribe.sh email@example.org
```

### patch email
```sh
bash patch-email.sh old@example.org new@example.org
```